Skip to main content

Experience Categories

Manage categories for organizing experiences, tours, and activities.

What Are Experience Categories?โ€‹

Experience categories help you organize your tours, activities, and services into logical groups. Categories support a hierarchical structure with parent-child relationships.

Category Structureโ€‹

Experience Category
โ”œโ”€โ”€ id # Unique identifier
โ”œโ”€โ”€ name # Category name (e.g., "Water Activities")
โ”œโ”€โ”€ description # Optional description
โ”œโ”€โ”€ image # Category image URL
โ”œโ”€โ”€ parent_id # Parent category ID (for subcategories)
โ”œโ”€โ”€ parent # Parent category summary (when loaded)
โ”œโ”€โ”€ children # Child categories (when loaded)
โ”œโ”€โ”€ experience_count # Number of experiences in category (incl. secondary-category members)
โ””โ”€โ”€ linked_types # Other booking types this category is linked to

API Endpointsโ€‹

MethodEndpointDescriptionScope Required
GET/v1/experience-categoriesList all categoriesexperiences:read
GET/v1/experience-categories/{id}Get a single categoryexperiences:read
POST/v1/experience-categoriesCreate a categoryexperiences:write
PATCH/v1/experience-categories/{id}Update a categoryexperiences:write
DELETE/v1/experience-categories/{id}Delete a categoryexperiences:write

Common Use Casesโ€‹

Creating a Category Hierarchyโ€‹

# Create parent category
curl -X POST "https://app.equipdash.com/api/v1/experience-categories" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "Water Activities"}'

# Create subcategory
curl -X POST "https://app.equipdash.com/api/v1/experience-categories" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "Kayaking Tours", "parent_id": 1}'

Building a Category Menuโ€‹

curl "https://app.equipdash.com/api/v1/experience-categories" \
-H "Authorization: Bearer YOUR_API_KEY"